'use strict';

var webExtension = require('sdk/webextension');
var clipboard = require('sdk/clipboard');
var passwords = require('sdk/passwords');
var {openDialog} = require('sdk/window/utils');

function message (request, sender, response) {
  if (request.cmd === 'open-password-manager') {
    openDialog({
      url: 'chrome://passwordmgr/content/passwordManager.xul',
      features: 'chrome=yes,resizable=yes,toolbar=yes,centerscreen=yes,modal=no,dependent=no,dialog=no',
      args: {filterString: request.hostname}
    });
  }
  else if (request.cmd === 'clipboard-copy') {
    clipboard.set(request.text, 'text');
  }
  else if (request.cmd === 'password-search') {
    passwords.search({
      url: request.url,
      onComplete: credentials => response(credentials)
    });
    return true;
  }
}
webExtension.startup().then(api => {
  let {browser} = api;
  browser.runtime.onMessage.addListener(message);
}).catch(e => console.error(e));

